#ifndef _DLL_H_
#define _DLL_H_

#ifdef EXPORTS
#define MYDLLIMPORT __declspec( dllexport )
#else
#define MYDLLIMPORT __declspec( dllimport )
#endif

enum SCALE { DEG_C, DEG_F, DEG_K };
enum TYPE { IEC, DIN, US, ITS, USER };


MYDLLIMPORT void pi_get_resistance(double temperature, double* resistance);
MYDLLIMPORT void pi_get_temperature(double resistance, double* temperature);
MYDLLIMPORT void pi_set_scale(enum SCALE scale);
MYDLLIMPORT void pi_set_type(enum TYPE type);
MYDLLIMPORT void pi_set_user_parameters(double a, double b, double c);
MYDLLIMPORT void pi_get_parameters(double* a, double* b, double* c);
MYDLLIMPORT void pi_set_r0(double r);
MYDLLIMPORT void pi_library_version(int *version);


#endif /* _DLL_H_ */
